API 参考图片模型Wan 2.7 Image
Wan 2.7 图片生成
使用 Wan 2.7 Image 完成图片生成、编辑和多参考合成。
兼顾图片生成、编辑和多参考工作流的综合线路。
提供方
Alibaba模型 ID
wan2.7-image请求端点
POST /v1/generations模型说明
- size 字段决定计费使用的分辨率档位。
请求参数
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
model | string | 是 | 稳定的 PixMind 模型 ID,请使用 `wan2.7-image`。 可选值: |
prompt | string | 是 | 用于生成或编辑的自然语言指令。 |
size | string | 否 | 输出分辨率档位,该字段会影响请求价格。 可选值: 默认值: |
aspect_ratio | string | 否 | 期望输出画面比例。 可选值: 默认值: |
reference_images | string[] (URI) | 否 | 用于编辑、构图、主体或风格引导的参考图片 URL 数组。 |
callback_url | string (URI) | 否 | 接收任务终态事件的 HTTPS 地址;不填写时仍可使用轮询。 |
请求示例
cURL
curl https://aihub-admin.aimix.pro/v1/generations \
-H "Authorization: Bearer $PIXMIND_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "wan2.7-image",
"prompt": "Create a consistent campaign key visual from the supplied references",
"size": "2K",
"aspect_ratio": "16:9",
"reference_images": [
"https://example.com/subject.jpg",
"https://example.com/style.jpg"
]
}'JavaScript
const response = await fetch("https://aihub-admin.aimix.pro/v1/generations", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.PIXMIND_API_KEY}`,
"Content-Type": "application/json"
},
body: JSON.stringify({
"model": "wan2.7-image",
"prompt": "Create a consistent campaign key visual from the supplied references",
"size": "2K",
"aspect_ratio": "16:9",
"reference_images": [
"https://example.com/subject.jpg",
"https://example.com/style.jpg"
]
})
});
const task = await response.json();任务受理响应
生成任务为异步处理。请保存响应中的 id,并轮询 GET /v1/generations/{id},直到任务进入终态。
202 Accepted
{
"id": "img_01JXYZ...",
"model": "wan2.7-image",
"status": "processing"
}API 定价
| 配置 | 价格 |
|---|---|
| 1K 输出 | $0.040 / image |
| 2K 输出 | $0.064 / image |
API 使用 apiPlatform 角色独立计费,与 PixMind Studio 积分分开;任务受理响应中的价格快照是最终计费依据。